Subject: Re: [Pce] Barry Leiba's No Objection on draft-ietf-pce-lsp-control-request-09: (with COMMENT)

From: Dhruv Dhody <[email-masked]>
Date: Tue, 1 Oct 2019 13:45:24 +0530

Hi Barry,

This makes sense. Thanks for the explanation.

Thanks,
Dhruv

On Mon, Sep 30, 2019 at 7:39 PM Barry Leiba <[email-masked]> wrote:
>
> > > — Section 4 —
> > >
> > >    The D Flag and C
> > >    Flag are mutually exclusive in PCUpd message.  The PCE SHOULD NOT
> > >    send control request for LSP which is already delegated to the PCE,
> > >    i.e. if the D Flag is set in the PCUpd message, then C Flag SHOULD
> > >    NOT be set.
> > >
> > > I’m confused: “mutually exclusive” means that they can’t both be set.  So why
> > > SHOULD NOT and not MUST NOT?  (You’re also missing a few articles here: ”a
> > > PCUpd message”, “a control request”, “an LSP”, and “the C Flag”.
> > >
> >
> > I think the reason for SHOULD NOT was because when a PCC receives this
> > - it would simply ignore it!
> > This did not rise to the level of error usual for MUST NOT!
> >
> > If you feel that the above isn't a good enough reason, changing would
> > not cause any harm either.
>
> If the working group thinks that SHOULD NOT is right, it should stay
> that way -- I just questioned the combination of "mutually exclusive"
> and "SHOULD NOT".  So here are my thoughts:
>
> 1. If there is no reason they should ever be set together, then it
> should be MUST NOT.
>
> 2. If there might be a reason to set them together -- it's difficult
> to meet the conditions in some way, or whatever -- then SHOULD NOT is
> OK.
>
> 3. If you keep it as SHOULD NOT, I think you should change the
> "mutually exclusive" sentence to be less strong.
>
> It sounds to me like MUST NOT is the right thing here -- that there's
> never a reason to set them both together, and that it doesn't make
> sense in the protocol to have them both set.  So even though the
> receiver can ignore the situation, MUST NOT still applies.
>
> Barry